#
# spec file for package rpmreaper
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rpmreaper
Version:        0.2.0
Release:        2.7
Summary:        Simple application for removing unnecessary packages
License:        GPL-2.0
Group:          System/Management
Url:            https://fedorahosted.org/rpmreaper/
Source0:        %{name}-%{version}.tar.gz
Patch0:         %{name}-Makefile_vars.patch
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
BuildRequires:  pkg-config
BuildRequires:  rpm-devel >= 4.8
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
rpmreaper is a simple ncurses application with a mutt-like interface that allows removing unnecessary packages and their dependencies from the system.

%prep
%setup -q
%patch0 -p1

%build
export EXTRA_CFLAGS="%{optflags}"
%if 0%{?suse_version} == 1315
export CFLAGS="$(pkg-config --cflags rpm) -I/usr/include/ncursesw -I/usr/include/ncurses %{optflags}"
export LDFLAGS="$(pkg-config --libs rpm) -lncursesw -ltinfo"
%endif
%if 0%{?suse_version} == 1110
export CFLAGS="-I/usr/include/ncursesw -I/usr/include/ncurses %{optflags}"
export LDFLAGS="-lrpm -lrpmio -lncursesw -ltinfo"
%endif
make %{?_smp_mflags}

%install
make prefix=%{_prefix} mandir=%{_mandir} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc NEWS README COPYING
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Nov 22 2016 aloisio@gmx.com
- Added rpmreaper-Makefile_vars.patch
- Fixed Leap and SLE12 build
* Mon Feb 29 2016 michal.hrusecky@opensuse.org
- Initial package version 0.2.0
